Qyra
ReferenceContent Review Requests

Submit a review request

Ask for a chart or dashboard in your personal space to be reviewed and moved to a shared space

POST/api/v1/projects/{projectUuid}/review-requests

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "similarContent": [
    {
      "score": 0,
      "isVerified": true,
      "spaceName": "string",
      "spaceUuid": "string",
      "slug": "string",
      "name": "string",
      "contentUuid": "string",
      "contentType": "chart"
    }
  ],
  "note": "string",
  "targetSpaceUuid": "string",
  "contentUuid": "string",
  "contentType": "chart"
}

Responses

201 — Created

{
  "results": {
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "grantedPrincipals": [
      {
        "principal": {
          "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "type": "user"
        },
        "resourceUuid": "string",
        "resourceType": "dashboard"
      }
    ],
    "movedContent": [
      {
        "name": "string",
        "contentUuid": "string",
        "contentType": "chart"
      }
    ],
    "verifiedOnApprove": true,
    "reviewNote": "string",
    "reviewedAt": "2024-01-01T00:00:00.000Z",
    "reviewedBy": {
      "lastName": "string",
      "firstName": "string",
      "userUuid": "string"
    },
    "status": "pending",
    "similarContent": [
      {
        "score": 0,
        "isVerified": true,
        "spaceName": "string",
        "spaceUuid": "string",
        "slug": "string",
        "name": "string",
        "contentUuid": "string",
        "contentType": "chart"
      }
    ],
    "requestNote": "string",
    "requestedBy": {
      "lastName": "string",
      "firstName": "string",
      "userUuid": "string"
    },
    "targetSpaceUuid": "string",
    "sourceSpaceUuid": "string",
    "contentUuid": "string",
    "contentType": "chart",
    "projectUuid": "string",
    "uuid": "string",
    "targetSpaceName": "string",
    "sourceSpaceName": "string",
    "content": {
      "slug": "string",
      "name": "string"
    },
    "verifyByDefault": true,
    "canVerify": true,
    "canReview": true,
    "moveSet": [
      {
        "name": "string",
        "contentUuid": "string",
        "contentType": "chart"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}